Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001205TestLinkTest Specificationpublic2007-11-23 23:512010-06-05 08:31
Reporterespriet 
Assigned Tofman 
PrioritylowSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.1 
Fixed in Version1.9 Beta 4 
Summary0001205: Import with existing TC update
DescriptionImport data is always done as a new test suite.

Would it be possible to import and replace (or create a new version) to update the test cases ?
In order to make this possible, numbering the TC as mentioned in Mantis 257 is required as reference for the TC to update.
An option as replace or update as a new version would also be nice.

This also require the numbering at export.
Additional InformationThis would be useful as we work with a client managing his own TC, and sends us the TC
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0002718)
mhavlat (reporter)
2007-11-25 05:10

There could happen three situations:
ID doesn't exists -> value ID is ignored (DB will add the first available)
ID exists and TC is not in the current Test Suite -> value ID is ignored (DB will add the first available)
ID exists and TC is in the current Test Suite -> a new version of TC is added


The request has not priority yet. Please deliver your code if you develop it.

- Issue History
Date Modified Username Field Change
2007-11-23 23:51 espriet New Issue
2007-11-25 05:10 mhavlat Note Added: 0002718
2007-11-25 05:10 mhavlat Reproducibility have not tried => N/A
2007-11-25 05:10 mhavlat Status new => acknowledged
2007-11-25 05:10 mhavlat Category New Feature => Test Specification
2007-11-25 05:11 mhavlat Priority normal => low
2007-11-25 05:11 mhavlat Summary Import and Update => Import with existing TC update
2010-06-05 08:31 fman Status acknowledged => closed
2010-06-05 08:31 fman Assigned To => fman
2010-06-05 08:31 fman Resolution open => fixed
2010-06-05 08:31 fman Fixed in Version => 1.9 Beta 4



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker